%define gkplugindir %{_libdir}/gkrellm2/plugins

Summary: CPU frequency display plugin for GKrellM
Name: gkrellm-freq
Version: 2.0
Release: alt1_4
License: GPLv2+
Group: File tools
URL: http://sourceforge.net/projects/gkrellm-gkfreq/
Source: http://downloads.sourceforge.net/gkrellm-gkfreq/gkrellm-gkfreq-%{version}.tar.gz
Patch0: gkrellm-gkfreq-1.0-rmasm.patch
Requires: gkrellm%{?_isa} >= 2.2.0
BuildRequires: gkrellm-devel >= 2.2.0
Source44: import.info

%description
This plugin for GKrellM, the GNU Krell Monitor, displays the current CPU speed
using the "dynamic" cpufrequency scheme.


%prep
%setup -q -n gkrellm-gkfreq-%{version}
sed -i -e 's/\([[:space:]]gcc.*[[:space:]]\)-c/\1%{optflags} -c/g' Makefile
for f in gkfreq_cpu*.c ; do
    %{__patch} -p1 -b -z .rmasm -i %{PATCH0} \
        -F %{?_default_patch_fuzz}%{!?_default_patch_fuzz:0} $f
done


%build
make %{?_smp_mflags}


%install
%{__install} -dm 755 %{buildroot}%{gkplugindir}
%{__install} -pm 755 gkfreq_cpu*.so %{buildroot}%{gkplugindir}


%files
%doc ChangeLog COPYING README
%{gkplugindir}/gkfreq_cpu*.so


%changelog
* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_4
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_3
- initial fc import

